package controller

import (
	"github.com/gin-gonic/gin"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/pkg/beagle/resp"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/service"
)

func AddFile(c *gin.Context) {

	docLibSvc := service.DocLibSvc{}
	doc, err := docLibSvc.AddFile(c)
	if err != nil {
		SendJsonResponse(c, resp.FAIL.WithError(err), nil)
		return
	}
	SendJsonResponse(c, resp.OK, doc)
}

//
//func (d *DocLib) Get(c *gin.Context) {
//	var req request.DocLibGetReq
//	if err := c.ShouldBindUri(&req); err != nil {
//		resp.Json(c, resp.InvalidParam.WithTranslate(err))
//		return
//	}
//	user, _ := header.GetUserContext(c)
//	svc := new(service.DocLibSvc)
//	svc.User = &user
//	doc, docUrl, err := svc.Get(c, req)
//	if err != nil {
//		resp.Json(c, resp.FAIL.WithMsg(err.Error()))
//		return
//	}
//	switch req.Opt {
//	case "download":
//		//c.Redirect(http.StatusMovedPermanently, docUrl.String())
//		docUrlParse, _ := url.Parse(docUrl.String())
//		proxy := httputil.ReverseProxy{
//			Director: func(req *http.Request) {
//				req.Header = c.Request.Header
//				req.Host = docUrlParse.Host
//				req.URL = docUrlParse
//			},
//		}
//		proxy.ServeHTTP(c.Writer, c.Request)
//	case "preview":
//		c.Redirect(http.StatusMovedPermanently, docUrl.String())
//	case "info":
//		resp.Json(c, resp.OK.WithData(doc))
//	case "tmp":
//		resp.Json(c, resp.OK.WithData(docUrl.String()))
//	}
//}
//
//func (d *DocLib) List(c *gin.Context) {
//	var req request.DocLibListReq
//	if err := c.ShouldBind(&req); err != nil {
//		resp.Json(c, resp.InvalidParam.WithTranslate(err))
//		return
//	}
//	user, _ := header.GetUserContext(c)
//	svc := new(service.DocLibSvc)
//	svc.User = &user
//	data, err := svc.List(c, req)
//	if err != nil {
//		resp.Json(c, resp.FAIL.WithMsg(err.Error()))
//		return
//	}
//	resp.Json(c, resp.OK.WithData(data))
//}
//
//func (d *DocLib) Del(c *gin.Context) {
//	var req request.DocLibDelReq
//	if err := c.ShouldBind(&req); err != nil {
//		resp.Json(c, resp.InvalidParam.WithTranslate(err))
//		return
//	}
//	user, _ := header.GetUserContext(c)
//	svc := new(service.DocLibSvc)
//	svc.User = &user
//	err := svc.Del(c, req)
//	if err != nil {
//		resp.Json(c, resp.FAIL.WithMsg(err.Error()))
//		return
//	}
//	resp.Json(c, resp.OK)
//}
//
//func (d *DocLib) Exts(c *gin.Context) {
//	user, _ := header.GetUserContext(c)
//	svc := new(service.DocLibSvc)
//	svc.User = &user
//	data, err := svc.Exts(c)
//	if err != nil {
//		resp.Json(c, resp.FAIL.WithMsg(err.Error()))
//		return
//	}
//	resp.Json(c, resp.OK.WithData(data))
//}
//
//func (d *DocLib) Update(c *gin.Context) {
//	var req request.DocLibUpdateReq
//	if err := c.ShouldBind(&req); err != nil {
//		resp.Json(c, resp.InvalidParam.WithTranslate(err))
//		return
//	}
//	user, _ := header.GetUserContext(c)
//	svc := new(service.DocLibSvc)
//	svc.User = &user
//	doc, err := svc.Update(c, req)
//	if err != nil {
//		resp.Json(c, resp.FAIL.WithMsg(err.Error()))
//		return
//	}
//	resp.Json(c, resp.OK.WithData(doc))
//}
